Bug 125025 - [PATCH] Tools/scripts: Some cleanups, additions to bump_version.pl
Summary: [PATCH] Tools/scripts: Some cleanups, additions to bump_version.pl
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Edwin Groothuis
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-06-26 21:30 UTC by Philip M. Gollucci
Modified: 2008-07-07 05:27 UTC (History)
1 user (show)

See Also:


Attachments
.patch (4.07 KB, patch)
2008-06-26 21:30 UTC, Philip M. Gollucci
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Philip M. Gollucci 2008-06-26 21:30:06 UTC
  - added -c, doesn't change anything
  - added -n, deal with an already checkouted tree
  - removed negative logic in favor of 'unless'
  - switch to 3 arg form of open()
  - don't use globs for filehandles, this is been obsolete since at least 5.6.1
  - handle possible errors in close()
  - allow CVSROOT to be overriden in the ENV

Generated with FreeBSD Port Tools 0.77
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2008-06-27 06:47:34 UTC
Synopsis: Re: ports/125025: [PATCH] Tools/scripts: Some cleanups, additions to bump_version.pl

State-Changed-From-To: open->closed
State-Changed-By: linimon
State-Changed-When: Fri Jun 27 05:46:34 UTC 2008
State-Changed-Why: 
There really isn't a 'maintainer' of Tools/scripts as such.


Responsible-Changed-From-To: gnats-admin->freebsd-ports-bugs
Responsible-Changed-By: linimon
Responsible-Changed-When: Fri Jun 27 05:46:34 UTC 2008
Responsible-Changed-Why: 

http://www.freebsd.org/cgi/query-pr.cgi?pr=125026
Comment 2 Martin Wilke freebsd_committer 2008-06-29 10:58:40 UTC
Responsible Changed
From-To: freebsd-ports-bugs->edwin

over to bump_revision.pl maintainer.
Comment 3 dfilter service freebsd_committer 2008-07-06 03:01:01 UTC
edwin       2008-07-06 02:00:52 UTC

  FreeBSD ports repository

  Modified files:
    Tools/scripts        bump_revision.pl 
  Log:
  [PATCH] Tools/scripts: Some cleanups, additions to bump_version.pl
  
          - added -c, doesn't change anything
          - added -n, deal with an already checkouted tree
          - removed negative logic in favor of 'unless'
          - switch to 3 arg form of open()
          - don't use globs for filehandles, this is been obsolete
            since at least 5.6.1
          - handle possible errors in close()
          - allow CVSROOT to be overriden in the ENV
  
  PR:             ports/125025
  Submitted by:   "Philip M. Gollucci" <pgollucci@p6m7g8.com>
  
  Revision  Changes    Path
  1.3       +34 -29    ports/Tools/scripts/bump_revision.pl
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Philip M. Gollucci 2008-07-07 03:26:11 UTC
I saw you committed this, you can close the PR.

Thanks.

-- 
------------------------------------------------------------------------
Philip M. Gollucci (philip@ridecharge.com)
o:703.549.2050x206
Senior System Admin - Riderway, Inc.
http://riderway.com / http://ridecharge.com
1024D/DB9B8C1C B90B FBC3 A3A1 C71A 8E70  3F8C 75B8 8FFB DB9B 8C1C

Work like you don't need the money,
love like you'll never get hurt,
and dance like nobody's watching.
Comment 5 Edwin Groothuis freebsd_committer 2008-07-07 05:27:09 UTC
State Changed
From-To: open->closed

Committed, thanks!